# DefaultConfig (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj
Class DefaultConfig

    java.lang.Object
      net.schmizz.sshj.ConfigImpl
          net.schmizz.sshj.DefaultConfig

All Implemented Interfaces:
  Config

Direct Known Subclasses:
  AndroidConfig

    public class DefaultConfig

extends ConfigImpl

A `Config` that is initialized as follows. Items marked with an asterisk are added to the config only if BouncyCastle is in the classpath.

- `Key exchange`: `DHG14`*, `DHG1`
- `Ciphers` [1]: `AES128CTR`, `AES192CTR`, `AES256CTR`, `AES128CBC`, `AES192CBC`, `AES256CBC`, `AES192CBC`, `TripleDESCBC`, `BlowfishCBC`
- `MAC`: `HMACSHA1`, `HMACSHA196`, `HMACMD5`, `HMACMD596`
- `Compression`: `NoneCompression`
- `Signature`: `SignatureRSA`, `SignatureDSA`
- `PRNG`: `BouncyCastleRandom`* or `JCERandom`
- `Key file support`: `PKCS8KeyFile`*, `OpenSSHKeyFile`*
- `Client version`: `"NET_3_0"`

[1] It is worth noting that Sun's JRE does not have the unlimited cryptography extension enabled by default. This prevents using ciphers with strength greater than 128.

Constructor Summary
`DefaultConfig()`

Method Summary
`protected void` `initCipherFactories()`
`protected void` `initCompressionFactories()`
`protected void` `initFileKeyProviderFactories(boolean bouncyCastleRegistered)`
`protected void` `initKeyExchangeFactories(boolean bouncyCastleRegistered)`
`protected void` `initMACFactories()`
`protected void` `initRandomFactory(boolean bouncyCastleRegistered)`
`protected void` `initSignatureFactories()`

Methods inherited from class net.schmizz.sshj.ConfigImpl

`getCipherFactories, getCompressionFactories, getFileKeyProviderFactories, getKeyExchangeFactories, getMACFactories, getRandomFactory, getSignatureFactories, getVersion, setCipherFactories, setCipherFactories, setCompressionFactories, setCompressionFactories, setFileKeyProviderFactories, setFileKeyProviderFactories, setKeyExchangeFactories, setKeyExchangeFactories, setMACFactories, setMACFactories, setRandomFactory, setSignatureFactories, setSignatureFactories, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultConfig

    public DefaultConfig()

Method Detail

### initKeyExchangeFactories

    protected void initKeyExchangeFactories(boolean bouncyCastleRegistered)

### initRandomFactory

    protected void initRandomFactory(boolean bouncyCastleRegistered)

### initFileKeyProviderFactories

    protected void initFileKeyProviderFactories(boolean bouncyCastleRegistered)

### initCipherFactories

    protected void initCipherFactories()

### initSignatureFactories

    protected void initSignatureFactories()

### initMACFactories

    protected void initMACFactories()

### initCompressionFactories

    protected void initCompressionFactories()

Copyright © 2009-2011. All Rights Reserved.